Subject: bug#55666: enhancement request - SHA-256 for emacs downloads

From: Ali Elshishini <[email-masked]>
Date: Sun, 29 May 2022 17:08:46 +0000

First sorry for top posting, I am using hotmail/outlook, and dont know how to setup bottom posting
Also honestly, I never really knew about this convention of bottom posting

Second, that a lot Corwin, adding the SHA hashes will be great

Finally, just my 2 cent, SHA1 is to my knowledge is considered obsolete and broken https://en.wikipedia.org/wiki/SHA-1
So I think SHA-256 should be enough, and if you want to can consider SHA-512

Most project I see use SHA-256, and only very few offer or use SHA-512

Thanks
Ali
________________________________
From: Corwin Brust <[email-masked]>
Sent: May 29, 2022 3:42 AM
To: Ali Elshishini <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>; [email-masked] <[email-masked]>
Subject: Re: bug#55666: enhancement request - SHA-256 for emacs downloads

On Fri, May 27, 2022 at 6:46 AM Ali Elshishini <[email-masked]> wrote:
>
> A checksum file (a file containing all checksums) can be included in the ftp folders
> (each folder can have one checksums file for the files it contains)

I think this is a great idea.  If nobody objects, I'll start including
something along these lines with my next upload of Windows binaries
(or maybe sooner, backfilling something for 28.1).

For the moment, you can get SHA1 sums for all (or at least, nearly
all) the binaries I've created from here:

https://corwin.bru.st/emacs-28/README

(The parent folder --which has indexing enabled-- is where I've been
staging my files before uploading to the GNU FTP servers and often
includes other builds that I don't plan to upload.)

If these don't work LMK and I'll regenerate the README file.  I do
have a script for that but it will take a little fooling around to
make it worthly of including on the GNU FTP site (presuming others
agree with me your idea of adding files with SHA1 information to the
FTP folders is a good one).

Thanks for the suggestion.

BTW, you can also get my public key from Savannah by clicking "Download GPG
Key" from my profile page, here:

  https://savannah.gnu.org/users/carlc